summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarian Csontos <mcsontos@redhat.com>2019-10-09 15:11:03 +0200
committerMarian Csontos <mcsontos@redhat.com>2019-10-09 15:11:03 +0200
commitdf26b73b8e4355df7f6d4d664edad2b86991b352 (patch)
treed1289afb61e9aef5c9f4e8f6541c91083e7ce080
parent53b97b146df4de99207c580c1304d016832e318b (diff)
downloadlvm2-df26b73b8e4355df7f6d4d664edad2b86991b352.tar.gz
test: Minimize data written by metadata-zero-space
The test is checking only 2 megabytes, but is rewriting much more. Bad for limited ramdisk.
-rw-r--r--test/shell/metadata-zero-space.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/shell/metadata-zero-space.sh b/test/shell/metadata-zero-space.sh
index 1bd1eeff8..d037ab2cf 100644
--- a/test/shell/metadata-zero-space.sh
+++ b/test/shell/metadata-zero-space.sh
@@ -21,7 +21,8 @@ get_devs
# Fill with random data so if the space between metadata
# copies are not zeroed the grep for zeros will fail.
-dd if=/dev/urandom of="$dev1" bs=1M || true
+dd if=/dev/urandom of="$dev1" bs=1M count=1 || true
+dd if=/dev/urandom of="$dev1" bs=1M skip=15 count=1 || true
pvcreate --pvmetadatacopies 2 "$dev1"